<div id="discount-create">
  <div class="flex items-center justify-between">
    <div class="flex items-center">
      <p class="mb-0 font-semibold leading-6 text-content-main cursor-pointer">
        Store discount
      </p>
    </div>
  </div>
  <v-skeleton-loader
    class="mx-auto mt-10"
    width="100%"
    type="card"
    v-if="loadingTable"
  >
  </v-skeleton-loader>
  <div v-else>
    <div class="mt-4">
      <div class="bg-white rounded-md shadow p-4">
        <p class="mb-0 font-semibold text-content-main text-lg">
          Discount Summary
        </p>
        <div class="mt-2 py-6 px-2 bg-gray-100 rounded-md">
          <p class="text-sm font-semibold text-content-main uppercase">
            Code: {{discount.code}}
          </p>
          <div class="mt-4">
            <p class="text-sm text-content-main">
              {{discount.discount}}
              <span v-if="discount.discountType == '1'">
                % of all sellerpages
              </span>
              <span v-if="discount.discountType == '2'">
                $ of all sellerpages
              </span>
              <span v-if="discount.discountType == '3'"> FreeShip </span>
              <br />
              <span v-if="!listMinimumRequire.length">
                Applied For everyone
              </span>
            </p>
          </div>
          <div v-if="listMinimumRequire.length" class="mt-1">
            <ul style="list-style-type: circle">
              <li v-for="(item, i) in listMinimumRequire" :key="'require' + i">
                <p class="mb-0 text-sm text-content-main">
                  <span v-if="item.discountType == '1'">
                    {{item.discount}}% off
                  </span>
                  <span v-else-if="item.discountType == '2'">
                    ${{item.discount}} off
                  </span>
                  <span v-else> Freeshipping </span>
                  with total
                  <span
                    v-if="item.minAmount && item.minQuantity && item.discountType != '3'"
                  >
                    amount greater or equal to {{item.minAmount}} and quantity
                    greater or equal to {{item.minQuantity}}
                  </span>
                  <span
                    v-else-if="item.minAmount && item.minQuantity && item.discountType == '3'"
                  >
                    amount greater or equal to {{item.minAmount}} and quantity
                    greater or equal to {{item.minQuantity}}
                  </span>
                  <span
                    v-else-if="item.minAmount === 0 && item.minQuantity === 0 && item.discountType != '3'"
                  >
                    amount equal to {{item.minAmount}} and quantity equal to
                    {{item.minQuantity}}
                  </span>
                  <span
                    v-else-if="item.minAmount === 0 && item.minQuantity === 0 && item.discountType == '3'"
                  >
                    amount equal to {{item.minAmount}} and quantity equal to
                    {{item.minQuantity}}
                  </span>
                  <span v-else>
                    {{item.minAmount ? 'amount' : 'quantity'}} greater or equal
                    to {{item.minAmount ? item.minAmount : item.minQuantity}}
                  </span>
                </p>
              </li>
            </ul>
            <!-- <div v-for="(item, i) in listMinimumRequire" :key="'require' + i" class="bg-bg-surface pa-2 rounded-md" :class="i > 0 ? 'mt-1' : ''">
              <p class="mb-0 text-sm text-content-main">
                <span v-if="item.discountType == '1'">
                  {{item.discount}}% off
                </span>
                <span v-else-if="item.discountType == '2'">
                  ${{item.discount}} off
                </span>
                <span v-else>
                  ${{item.discount}}
                </span>
                with total {{item.discountType == '1' ? 'amount' : 'quantity'}} greater or equal to {{item.discountType == '1' ? item.minAmount : item.minQuantity}}
              </p>
          </div> -->
          </div>
          <div class="mt-4">
            <p class="mb-0 text-sm text-gray-900">Start Date:</p>
            <div class="flex items-center">
              <v-icon color="black" size="8"> mdi-circle </v-icon>
              <p class="mb-0 ml-2 text-sm text-gray-900">
                {{dateStart}}, {{timePickerStart}} (GMT {{timezone}})
              </p>
            </div>
            <div v-if="isShowDateEnd">
              <p class="mb-0 text-sm text-gray-900">End Date:</p>
              <div class="flex items-center">
                <v-icon color="black" size="8"> mdi-circle </v-icon>
                <p class="mb-0 ml-2 text-sm text-gray-900">
                  {{dateEnd}}, {{timePickerEnd}} (GMT {{timezone}})
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- <p class="mb-0 text-lg font-semibold text-content-main">
      Create New DiscountCode
    </p>
    <v-btn
      class="elevation-0 px-7 !bg-button"
      height="44"
      @click="onCreate()"
      :disabled="loading"
    >
      <v-progress-circular
        v-if="loading"
        size="18"
        indeterminate
        color="#076CE3"
      >
      </v-progress-circular>
      <div class="d-flex align-center" v-else>
        <p class="mb-0 text-sm capitalize text-content-on-color font-semibold">
          Save Changes
        </p>
      </div>
    </v-btn> -->
    </div>
    <div class="mt-4 rounded-md" id="hideBottomInput">
      <div class="grid grid-cols-12 gap-6">
        <div class="col-span-12">
          <div class="bg-white rounded-md">
            <p class="mb-0 text-content-main text-sm font-semibold">
              Discount Code
            </p>
            <v-text-field
              dense
              outlined
              v-model.trim="discount.code"
              placeholder="e.g NEWYEARSALE"
              v-debounce:300ms="setDiscountToStore"
              class="mt-2"
              @keyup="onCheckDifferenceData()"
            ></v-text-field>
          </div>
          <div class="bg-white rounded-md mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Type of Discount:
            </p>
            <v-radio-group
              v-model="discount.discountType"
              @change="setDiscountToStore"
              class="mt-0"
            >
              <v-radio
                label="Percent"
                class="text-content-main"
                value="1"
              ></v-radio>
              <v-radio
                label="Fixed Amount"
                class="text-content-main"
                value="2"
              ></v-radio>
              <v-radio
                label="Freeshipping"
                class="text-content-main"
                value="3"
              ></v-radio>
            </v-radio-group>
            <div class="mt-4" v-if="discount.discountType !== '3'">
              <p class="mb-0 font-semibold text-content-main text-sm">
                Discount Value
              </p>
              <v-text-field
                dense
                outlined
                v-model.number="discount.discount"
                v-debounce:300ms="setDiscountToStore"
                placeholder="Enter a number here"
                class="mt-2"
                :suffix="discount.discountType == '1' ? 'Percent %' : ''"
                :prefix="discount.discountType == '2' ? '$' : ''"
              ></v-text-field>
            </div>
          </div>
          <div class="bg-white rounded-md mt-4">
            <!-- <p class="mb-0 text-content-main text-xs">
            Discount only applied when an order matches these conditions.
            <br />
            If you leave these field empty, discount will be applied without any
            conditions.
          </p> -->
            <div class="mt-4">
              <!-- <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum purchase amount Required
            </p> -->
              <p class="mb-0 font-semibold text-content-main text-sm">
                Minimum requirements
              </p>
              <v-radio-group v-model="checkboxMinimum" class="mt-0">
                <v-radio
                  label="None"
                  class="text-content-main"
                  value="1"
                ></v-radio>
                <v-radio
                  label="Minimum purchase amount ($)"
                  class="text-content-main"
                  value="2"
                ></v-radio>
                <v-radio
                  label="Minimum quantity of item"
                  class="text-content-main"
                  value="3"
                ></v-radio>
              </v-radio-group>
            </div>
            <div class="mt-4" v-if="checkboxMinimum !== '1'">
              <p class="mb-0 font-semibold text-content-main text-sm">
                Minimum value
              </p>
              <v-text-field
                dense
                outlined
                v-model.number="minimumRequire"
                placeholder="Enter a number here"
                class="mt-2"
                :prefix="checkboxMinimum === '2' ? '$' : ''"
              ></v-text-field>
            </div>
            <!-- <div class="mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum quantity of items
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.minQuantity"
              placeholder="Enter a number here"
              class="mt-2"
            ></v-text-field>
          </div> -->
            <div v-if="listMinimumRequire.length" class="mt-4">
              <div
                v-for="(item, i) in listMinimumRequire"
                :key="'require' + i"
                class="bg-bg-surface pa-2 rounded-md flex items-center justify-between"
                :class="i > 0 ? 'mt-1' : ''"
              >
                <div>
                  <p class="mb-0 text-sm text-content-main">
                    <span v-if="item.discountType == '1'">
                      {{item.discount}}% off
                    </span>
                    <span v-else-if="item.discountType == '2'">
                      ${{item.discount}} off
                    </span>
                    <span v-else> Freeshipping </span>
                    with total
                    <span
                      v-if="item.minAmount && item.minQuantity && item.discountType != '3'"
                    >
                      amount greater or equal to {{item.minAmount}} and quantity
                      greater or equal to {{item.minQuantity}}
                    </span>
                    <span
                      v-else-if="item.minAmount && item.minQuantity && item.discountType == '3'"
                    >
                      amount greater or equal to {{item.minAmount}} and quantity
                      greater or equal to {{item.minQuantity}}
                    </span>
                    <span
                      v-else-if="item.minAmount === 0 && item.minQuantity === 0 && item.discountType != '3'"
                    >
                      amount equal to {{item.minAmount}} and quantity equal to
                      {{item.minQuantity}}
                    </span>
                    <span
                      v-else-if="item.minAmount === 0 && item.minQuantity === 0 && item.discountType == '3'"
                    >
                      amount equal to {{item.minAmount}} and quantity equal to
                      {{item.minQuantity}}
                    </span>
                    <span v-else>
                      {{item.minAmount ? 'amount' : 'quantity'}} greater or
                      equal to {{item.minAmount ? item.minAmount :
                      item.minQuantity}}
                    </span>
                  </p>
                </div>
                <div class="flex items-center justify-end">
                  <div
                    v-if="item.status === 'true' || item.status == true"
                    class="w-fit"
                  >
                    <div
                      class="flex items-center bg-bg-success text-content-success text-xs font-medium py-0.5 px-1.5"
                    >
                      <v-icon size="14" color="#10B981"> mdi-check </v-icon>
                      <span class="ml-1">Active</span>
                    </div>
                  </div>
                  <div
                    v-if="item.status === 'false' || item.status == false"
                    class="w-fit"
                  >
                    <div
                      class="flex items-center bg-bg-error text-content-destructive text-xs font-medium py-0.5 px-1.5"
                    >
                      <v-icon size="14" color="#F05252"> mdi-close </v-icon>
                      <span class="ml-1">Inactive</span>
                    </div>
                  </div>

                  <div class="w-fit mx-3">
                    <div
                      class="py-0.5 px-1.5 cursor-pointer"
                      @click="openDialogEditRequire(item, i)"
                    >
                      <p class="mb-0 text-xs text-content-brand">Edit</p>
                    </div>
                  </div>
                  <div class="w-fit">
                    <div
                      class="py-0.5 px-1.5 cursor-pointer"
                      @click="onRemoveItemRequire(i)"
                    >
                      <p class="mb-0 text-xs text-content-destructive">
                        Delete
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="mt-4">
              <v-btn
                text
                dense
                @click="openDialogAddRequire()"
                :disabled="loading"
              >
                <p class="mb-0 lightContentBlue text-sm font-medium text-none">
                  + Add multiple minimum requirements
                </p>
              </v-btn>
            </div>
          </div>
          <v-divider class="mt-4"></v-divider>
          <div class="bg-white rounded-md mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Discount Active Time
            </p>
            <p class="mb-0 font-semibold text-content-main text-sm mt-4">
              Start Date & Time (GMT {{timezone}})
            </p>
            <div class="mt-4 flex items-center justify-between gap-1">
              <v-menu
                v-model="dateStartPicker"
                :close-on-content-click="false"
                nudge-bottom="10px"
                style="position: relative; z-index: 999"
                transition="scale-transition"
                offset-y
                min-width="auto"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="dateStart"
                    dense
                    readonly
                    dense
                    outlined
                    v-bind="attrs"
                    v-on="on"
                    prepend-inner-icon="mdi-calendar"
                  >
                  </v-text-field>
                </template>
                <v-date-picker
                  v-model="dateStart"
                  @input="dateStartPicker = false"
                  style="position: relative; z-index: 999"
                ></v-date-picker>
              </v-menu>
              <v-menu
                ref="menuStartTime"
                v-model="menuTimePickerStart"
                :close-on-content-click="false"
                nudge-bottom="10px"
                right
                :return-value.sync="timePickerStart"
                transition="scale-transition"
                offset-y
                max-width="290px"
                min-width="290px"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="timePickerStart"
                    dense
                    outlined
                    prepend-inner-icon="mdi-clock-time-four-outline"
                    readonly
                    v-bind="attrs"
                    v-on="on"
                  >
                  </v-text-field>
                </template>
                <v-time-picker
                  v-if="menuTimePickerStart"
                  v-model="timePickerStart"
                  full-width
                  @click:minute="$refs.menuStartTime.save(timePickerStart)"
                >
                </v-time-picker>
              </v-menu>
            </div>
            <div class="mt-4">
              <v-checkbox
                class="mt-0"
                label="Set End Date & Time"
                v-model="isShowDateEnd"
              ></v-checkbox>
            </div>
            <div class="mt-4" v-if="isShowDateEnd">
              <p class="mb-0 font-semibold text-content-main text-sm mt-4">
                End Date & Time (GMT {{timezone}})
              </p>
              <div class="mt-2 flex items-center justify-between gap-1">
                <v-menu
                  v-model="dateEndPicker"
                  :close-on-content-click="false"
                  nudge-bottom="10px"
                  style="position: relative; z-index: 999"
                  transition="scale-transition"
                  offset-y
                  min-width="auto"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                      v-model="dateEnd"
                      dense
                      readonly
                      dense
                      outlined
                      v-bind="attrs"
                      v-on="on"
                      prepend-inner-icon="mdi-calendar"
                    >
                    </v-text-field>
                  </template>
                  <v-date-picker
                    v-model="dateEnd"
                    @input="dateEndPicker = false"
                    style="position: relative; z-index: 999"
                  ></v-date-picker>
                </v-menu>
                <v-menu
                  ref="menuEndTime"
                  v-model="menuTimePickerEnd"
                  :close-on-content-click="false"
                  right
                  nudge-bottom="10px"
                  :return-value.sync="timePickerEnd"
                  transition="scale-transition"
                  offset-y
                  max-width="290px"
                  min-width="290px"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                      v-model="timePickerEnd"
                      dense
                      outlined
                      prepend-inner-icon="mdi-clock-time-four-outline"
                      readonly
                      v-bind="attrs"
                      v-on="on"
                    >
                    </v-text-field>
                  </template>
                  <v-time-picker
                    v-if="menuTimePickerEnd"
                    v-model="timePickerEnd"
                    full-width
                    @click:minute="$refs.menuEndTime.save(timePickerEnd)"
                  >
                  </v-time-picker>
                </v-menu>
              </div>
            </div>
            <v-divider class="mt-4"></v-divider>
            <div>
              <p class="mb-0 mt-4 font-semibold text-content-main text-sm">
                Discount Status
              </p>
              <v-radio-group
                v-model="discount.status"
                @change="setDiscountToStore()"
              >
                <v-radio
                  label="Active"
                  class="text-content-main"
                  value="true"
                ></v-radio>
                <v-radio
                  label="Inactive"
                  class="text-content-main"
                  value="false"
                ></v-radio>
              </v-radio-group>
            </div>
            <!-- <v-divider class="mt-4"></v-divider> -->
            <div class="my-4 flex items-center justify-end">
              <!-- <v-btn
                text
                dense
                height="44px"
                @click="onDiscard()"
                :disabled="loading"
                v-if="isChanged"
              >
                <p class="mb-0 lightContentBlue text-none">Discard</p>
              </v-btn> -->
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div>
    <v-row justify="center">
      <v-dialog v-model="dialogAddMinimunRequire" max-width="680">
        <v-card id="hideBottomInput">
          <div class="d-flex align-center justify-space-between py-4 px-6">
            <p class="mb-0 fsize-20 contentBlack font-semibold">
              Add multiple minimum requirements
            </p>
            <v-btn
              color="#DBE0E5"
              icon
              class="elevation-0 rounded-circle px-0"
              @click="dialogAddMinimunRequire = false"
            >
              <v-icon color="#48545B"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="px-6">
            <div class="bg-white rounded-md mt-4">
              <p class="mb-0 font-semibold text-content-main text-sm">
                Type of Discount:
              </p>
              <v-radio-group
                v-model="discountMinimum.discountType"
                class="mt-0"
              >
                <v-radio
                  label="Percent"
                  class="text-content-main"
                  value="1"
                ></v-radio>
                <v-radio
                  label="Fixed Amount"
                  class="text-content-main"
                  value="2"
                ></v-radio>
                <v-radio
                  label="Freeshipping"
                  class="text-content-main"
                  value="3"
                ></v-radio>
              </v-radio-group>
              <div class="mt-4" v-if="discountMinimum.discountType !== '3'">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Discount Value
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="discountMinimum.discount"
                  placeholder="Enter a number here"
                  class="mt-2"
                  :suffix="discountMinimum.discountType == '1' ? 'Percent %' : ''"
                  :prefix="discountMinimum.discountType == '2' ? '$' : ''"
                ></v-text-field>
              </div>
            </div>
            <div class="bg-white rounded-md mt-4">
              <!-- <p class="mb-0 text-content-main text-xs">
                Discount only applied when an order matches these conditions.
                <br />
                If you leave these field empty, discount will be applied without any
                conditions.
              </p> -->
              <div class="mt-4">
                <!-- <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum purchase amount Required
                </p> -->
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum requirements
                </p>
                <v-radio-group v-model="checkboxMinimumDialog" class="mt-0">
                  <v-radio
                    label="None"
                    class="text-content-main"
                    value="1"
                  ></v-radio>
                  <v-radio
                    label="Minimum purchase amount ($)"
                    class="text-content-main"
                    value="2"
                  ></v-radio>
                  <v-radio
                    label="Minimum quantity of item"
                    class="text-content-main"
                    value="3"
                  ></v-radio>
                </v-radio-group>
              </div>
              <div class="mt-4" v-if="checkboxMinimumDialog !== '1'">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum value
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="minimumRequireDialog"
                  placeholder="Enter a number here"
                  class="mt-2"
                  :prefix="checkboxMinimumDialog === '2' ? '$' : ''"
                ></v-text-field>
              </div>
              <!-- <div class="mt-4">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum quantity of items
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="discountMinimum.minQuantity"
                  placeholder="Enter a number here"
                  class="mt-2"
                ></v-text-field>
              </div> -->
              <div class="mt-4">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Discount Status
                </p>
                <v-radio-group class="mt-2" v-model="discountMinimum.status">
                  <v-radio
                    label="Active"
                    class="text-content-main"
                    value="true"
                  ></v-radio>
                  <v-radio
                    label="Inactive"
                    class="text-content-main"
                    value="false"
                  ></v-radio>
                </v-radio-group>
              </div>
            </div>
          </div>
          <v-divider class="mt-4"></v-divider>
          <div class="py-4 px-6 d-flex justify-end">
            <v-btn
              class="elevation-0 rounded mr-3"
              color="#D1DBE0"
              height="44px"
              outlined
              @click="dialogAddMinimunRequire = false"
            >
              <span class="!font-semibold text-none black--text"> Cancel </span>
            </v-btn>

            <v-btn
              class="text-capitalize !text-white !shadow-none"
              color="#3B82F6"
              height="44px"
              @click="onAddRequire()"
            >
              Add Minium Requirement
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>

  <div>
    <v-row justify="center">
      <v-dialog v-model="dialogEditMinimunRequire" max-width="680">
        <v-card id="hideBottomInput">
          <div class="d-flex align-center justify-space-between py-4 px-6">
            <p class="mb-0 fsize-20 contentBlack font-semibold">
              Edit multiple minimum requirements
            </p>
            <v-btn
              color="#DBE0E5"
              icon
              class="elevation-0 rounded-circle px-0"
              @click="dialogEditMinimunRequire = false"
            >
              <v-icon color="#48545B"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="px-6">
            <div class="bg-white rounded-md mt-4">
              <p class="mb-0 font-semibold text-content-main text-sm">
                Type of Discount:
              </p>
              <v-radio-group v-model="discountMinimum.discountType">
                <v-radio
                  label="Percent"
                  class="text-content-main"
                  value="1"
                ></v-radio>
                <v-radio
                  label="Fixed Amount"
                  class="text-content-main"
                  value="2"
                ></v-radio>
                <v-radio
                  label="Freeshipping"
                  class="text-content-main"
                  value="3"
                ></v-radio>
              </v-radio-group>
              <div class="mt-4" v-if="discountMinimum.discountType !== '3'">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Discount Value
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="discountMinimum.discount"
                  placeholder="Enter a number here"
                  class="mt-2"
                  :suffix="discountMinimum.discountType == '1' ? 'Percent %' : ''"
                  :prefix="discountMinimum.discountType == '2' ? '$' : ''"
                ></v-text-field>
              </div>
            </div>
            <div class="bg-white rounded-md mt-4">
              <div>
                <!-- <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum purchase amount Required
                </p> -->
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum requirements
                </p>
                <v-radio-group v-model="checkboxMinimumDialog" class="mt-0">
                  <v-radio
                    label="None"
                    class="text-content-main"
                    value="1"
                  ></v-radio>
                  <v-radio
                    label="Minimum purchase amount ($)"
                    class="text-content-main"
                    value="2"
                  ></v-radio>
                  <v-radio
                    label="Minimum quantity of item"
                    class="text-content-main"
                    value="3"
                  ></v-radio>
                </v-radio-group>
              </div>
              <div class="mt-4" v-if="checkboxMinimumDialog !== '1'">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum value
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="minimumRequireDialog"
                  placeholder="Enter a number here"
                  class="mt-2"
                  :prefix="checkboxMinimumDialog === '2' ? '$' : ''"
                ></v-text-field>
              </div>
              <!-- <p class="mb-0 text-content-main text-xs">
                Discount only applied when an order matches these conditions.
                <br />
                If you leave these field empty, discount will be applied without any
                conditions.
              </p> -->
              <!-- <div class="mt-4">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum purchase amount Required
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="discountMinimum.minAmount"
                  placeholder="Enter a number here"
                  class="mt-2"
                  prefix="$"
                ></v-text-field>
              </div> -->
              <!-- <div class="mt-4">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Minimum quantity of items
                </p>
                <v-text-field
                  dense
                  outlined
                  v-model.number="discountMinimum.minQuantity"
                  placeholder="Enter a number here"
                  class="mt-2"
                ></v-text-field>
              </div> -->
              <div class="mt-4">
                <p class="mb-0 font-semibold text-content-main text-sm">
                  Discount Status
                </p>
                <v-radio-group class="mt-2" v-model="discountMinimum.status">
                  <v-radio
                    label="Active"
                    class="text-content-main"
                    value="true"
                  ></v-radio>
                  <v-radio
                    label="Inactive"
                    class="text-content-main"
                    value="false"
                  ></v-radio>
                </v-radio-group>
              </div>
            </div>
          </div>
          <v-divider class="mt-4"></v-divider>
          <div class="py-4 px-6 d-flex justify-end">
            <v-btn
              class="elevation-0 rounded mr-3"
              color="#D1DBE0"
              height="44px"
              outlined
              @click="dialogEditMinimunRequire = false"
            >
              <span class="!font-semibold text-none black--text"> Cancel </span>
            </v-btn>
            <v-btn
              class="text-capitalize !text-white !shadow-none"
              color="#3B82F6"
              height="44px"
              @click="onEditRequire()"
            >
              Edit Minium Requirement
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</div>
